Package twisted :: Package protocols :: Module msn :: Class MSNFileReceive

[show private | hide private]
[frames | no frames]

## Class MSNFileReceive

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          MSNFileReceive

This class provides support for receiving files from contacts.

Method Summary
| ``__init__`(self, auth, myUserHandle, file, directory, overwrite)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| ``gotSegment`(self, data)` called when a segment (block) of data arrives.
| `handle_FIL(self, params)`
| `handle_UNKNOWN(self, cmd, params)`
| `handle_VER(self, params)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``parseHeader`(self, header)` parse the header of each 'message' to obtain the segment length
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Instance Variable Summary
| `bytesReceived` - number of bytes (of the file) received.
| `completed` - true if the transfer is complete.
| `connected` - true if a connection has been established.
| `fileSize` - the size of the receiving file.

Method Details

### __init__(self, auth, myUserHandle, file, directory='', overwrite=0)
(Constructor)

  Parameters:
    `auth` - auth string received in the file invitation.
    `myUserHandle` - your userhandle.
    `file` - A string or file object represnting the file to save data to.
    `directory` - optional parameter specifiying the directory. Defaults to the current directory.
    `overwrite` - if true and a file of the same name exists on your system, it will be overwritten. (0 by default)

### connectionLost(self, reason)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### gotSegment(self, data)

called when a segment (block) of data arrives.

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### parseHeader(self, header)

parse the header of each 'message' to obtain the segment length

### rawDataReceived(self, data)

Override this for when raw data is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.rawDataReceived` (inherited documentation)

Instance Variable Details

### bytesReceived

number of bytes (of the file) received. This does not include header data.

### completed

true if the transfer is complete.

### connected

true if a connection has been established.

### fileSize

the size of the receiving file. (you will have to set this)

Generated by Epydoc 1.1 on Thu May 8 13:16:40 2003 | http://epydoc.sf.net